.TH wxJoystickEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxJoystickEvent \- See external documentation: wxJoystickEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxJoystickEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIjoy_button_down\fR, \fIjoy_button_up\fR, \fIjoy_move\fR, \fIjoy_zmove\fR
.RE
.LP
See also the message variant #wxJoystick{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxJoystickEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
buttonDown(This::wxJoystickEvent()) -> bool()
.br
.RS
.LP
Equivalent to buttonDown(This, [])\&.
.RE
.LP
.B
buttonDown(This::wxJoystickEvent(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {but, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventbuttondown>\&.
.RE
.LP
.B
buttonIsDown(This::wxJoystickEvent()) -> bool()
.br
.RS
.LP
Equivalent to buttonIsDown(This, [])\&.
.RE
.LP
.B
buttonIsDown(This::wxJoystickEvent(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {but, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventbuttonisdown>\&.
.RE
.LP
.B
buttonUp(This::wxJoystickEvent()) -> bool()
.br
.RS
.LP
Equivalent to buttonUp(This, [])\&.
.RE
.LP
.B
buttonUp(This::wxJoystickEvent(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {but, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventbuttonup>\&.
.RE
.LP
.B
getButtonChange(This::wxJoystickEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventgetbuttonchange>\&.
.RE
.LP
.B
getButtonState(This::wxJoystickEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventgetbuttonstate>\&.
.RE
.LP
.B
getJoystick(This::wxJoystickEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventgetjoystick>\&.
.RE
.LP
.B
getPosition(This::wxJoystickEvent()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventgetposition>\&.
.RE
.LP
.B
getZPosition(This::wxJoystickEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventgetzposition>\&.
.RE
.LP
.B
isButton(This::wxJoystickEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventisbutton>\&.
.RE
.LP
.B
isMove(This::wxJoystickEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventismove>\&.
.RE
.LP
.B
isZMove(This::wxJoystickEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxjoystickevent\&.html#wxjoystickeventiszmove>\&.
.RE
